package jp.hasc.hasctool.core.blockdiagram.model;

/**
 * @author iwasaki
 */
public abstract class Shape extends AbstractModel {
	private static final long serialVersionUID = 1L;
	private Point viewPosition=null;
	private Point viewSize=null;
	
	public Point getViewPosition() {
		return viewPosition;
	}
	public void setViewPosition(Point viewPosition) {
		this.viewPosition = viewPosition;
	}
	public Point getViewSize() {
		return viewSize;
	}
	public void setViewSize(Point viewSize) {
		this.viewSize = viewSize;
	}
}
